<?php


namespace OTP\Objects;

abstract class VerificationLogic
{
    public abstract function _handle_logic($te, $j4, $sP, $c2, $DF);
    public abstract function _handle_otp_sent($te, $j4, $sP, $c2, $DF, $PA);
    public abstract function _handle_otp_sent_failed($te, $j4, $sP, $c2, $DF, $PA);
    public abstract function _get_otp_sent_message();
    public abstract function _get_otp_sent_failed_message();
    public abstract function _get_otp_invalid_format_message();
    public abstract function _get_is_blocked_message();
    public abstract function _handle_matched($te, $j4, $sP, $c2, $DF);
    public abstract function _handle_not_matched($sP, $c2, $DF);
    public abstract function _start_otp_verification($te, $j4, $sP, $c2, $DF);
    public abstract function _is_blocked($j4, $sP);
    public static function _is_ajax_form()
    {
        return (bool) apply_filters("\x69\163\x5f\141\152\141\x78\x5f\146\x6f\162\155", FALSE);
    }
}
